<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$kp_horarios_add = new kp_horarios_add();

// Run the page
$kp_horarios_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$kp_horarios_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fkp_horariosadd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fkp_horariosadd = currentForm = new ew.Form("fkp_horariosadd", "add");

	// Validate form
	fkp_horariosadd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($kp_horarios_add->codlogin->Required) { ?>
				elm = this.getElements("x" + infix + "_codlogin");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_horarios_add->codlogin->caption(), $kp_horarios_add->codlogin->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($kp_horarios_add->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_horarios_add->estado->caption(), $kp_horarios_add->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_horarios_add->estado->errorMessage()) ?>");
			<?php if ($kp_horarios_add->hora_inicio->Required) { ?>
				elm = this.getElements("x" + infix + "_hora_inicio");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_horarios_add->hora_inicio->caption(), $kp_horarios_add->hora_inicio->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_hora_inicio");
				if (elm && !ew.checkTime(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_horarios_add->hora_inicio->errorMessage()) ?>");
			<?php if ($kp_horarios_add->hora_fin->Required) { ?>
				elm = this.getElements("x" + infix + "_hora_fin");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_horarios_add->hora_fin->caption(), $kp_horarios_add->hora_fin->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_hora_fin");
				if (elm && !ew.checkTime(elm.value))
					return this.onError(elm, "<?php echo JsEncode($kp_horarios_add->hora_fin->errorMessage()) ?>");
			<?php if ($kp_horarios_add->dia->Required) { ?>
				elm = this.getElements("x" + infix + "_dia");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $kp_horarios_add->dia->caption(), $kp_horarios_add->dia->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fkp_horariosadd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fkp_horariosadd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fkp_horariosadd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $kp_horarios_add->showPageHeader(); ?>
<?php
$kp_horarios_add->showMessage();
?>
<form name="fkp_horariosadd" id="fkp_horariosadd" class="<?php echo $kp_horarios_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="kp_horarios">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$kp_horarios_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($kp_horarios_add->codlogin->Visible) { // codlogin ?>
	<div id="r_codlogin" class="form-group row">
		<label id="elh_kp_horarios_codlogin" for="x_codlogin" class="<?php echo $kp_horarios_add->LeftColumnClass ?>"><?php echo $kp_horarios_add->codlogin->caption() ?><?php echo $kp_horarios_add->codlogin->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_horarios_add->RightColumnClass ?>"><div <?php echo $kp_horarios_add->codlogin->cellAttributes() ?>>
<span id="el_kp_horarios_codlogin">
<input type="text" data-table="kp_horarios" data-field="x_codlogin" name="x_codlogin" id="x_codlogin" size="30" maxlength="100" placeholder="<?php echo HtmlEncode($kp_horarios_add->codlogin->getPlaceHolder()) ?>" value="<?php echo $kp_horarios_add->codlogin->EditValue ?>"<?php echo $kp_horarios_add->codlogin->editAttributes() ?>>
</span>
<?php echo $kp_horarios_add->codlogin->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_horarios_add->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_kp_horarios_estado" for="x_estado" class="<?php echo $kp_horarios_add->LeftColumnClass ?>"><?php echo $kp_horarios_add->estado->caption() ?><?php echo $kp_horarios_add->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_horarios_add->RightColumnClass ?>"><div <?php echo $kp_horarios_add->estado->cellAttributes() ?>>
<span id="el_kp_horarios_estado">
<input type="text" data-table="kp_horarios" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($kp_horarios_add->estado->getPlaceHolder()) ?>" value="<?php echo $kp_horarios_add->estado->EditValue ?>"<?php echo $kp_horarios_add->estado->editAttributes() ?>>
</span>
<?php echo $kp_horarios_add->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_horarios_add->hora_inicio->Visible) { // hora_inicio ?>
	<div id="r_hora_inicio" class="form-group row">
		<label id="elh_kp_horarios_hora_inicio" for="x_hora_inicio" class="<?php echo $kp_horarios_add->LeftColumnClass ?>"><?php echo $kp_horarios_add->hora_inicio->caption() ?><?php echo $kp_horarios_add->hora_inicio->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_horarios_add->RightColumnClass ?>"><div <?php echo $kp_horarios_add->hora_inicio->cellAttributes() ?>>
<span id="el_kp_horarios_hora_inicio">
<input type="text" data-table="kp_horarios" data-field="x_hora_inicio" name="x_hora_inicio" id="x_hora_inicio" maxlength="10" placeholder="<?php echo HtmlEncode($kp_horarios_add->hora_inicio->getPlaceHolder()) ?>" value="<?php echo $kp_horarios_add->hora_inicio->EditValue ?>"<?php echo $kp_horarios_add->hora_inicio->editAttributes() ?>>
</span>
<?php echo $kp_horarios_add->hora_inicio->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_horarios_add->hora_fin->Visible) { // hora_fin ?>
	<div id="r_hora_fin" class="form-group row">
		<label id="elh_kp_horarios_hora_fin" for="x_hora_fin" class="<?php echo $kp_horarios_add->LeftColumnClass ?>"><?php echo $kp_horarios_add->hora_fin->caption() ?><?php echo $kp_horarios_add->hora_fin->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_horarios_add->RightColumnClass ?>"><div <?php echo $kp_horarios_add->hora_fin->cellAttributes() ?>>
<span id="el_kp_horarios_hora_fin">
<input type="text" data-table="kp_horarios" data-field="x_hora_fin" name="x_hora_fin" id="x_hora_fin" maxlength="10" placeholder="<?php echo HtmlEncode($kp_horarios_add->hora_fin->getPlaceHolder()) ?>" value="<?php echo $kp_horarios_add->hora_fin->EditValue ?>"<?php echo $kp_horarios_add->hora_fin->editAttributes() ?>>
</span>
<?php echo $kp_horarios_add->hora_fin->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($kp_horarios_add->dia->Visible) { // dia ?>
	<div id="r_dia" class="form-group row">
		<label id="elh_kp_horarios_dia" for="x_dia" class="<?php echo $kp_horarios_add->LeftColumnClass ?>"><?php echo $kp_horarios_add->dia->caption() ?><?php echo $kp_horarios_add->dia->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $kp_horarios_add->RightColumnClass ?>"><div <?php echo $kp_horarios_add->dia->cellAttributes() ?>>
<span id="el_kp_horarios_dia">
<input type="text" data-table="kp_horarios" data-field="x_dia" name="x_dia" id="x_dia" size="30" maxlength="100" placeholder="<?php echo HtmlEncode($kp_horarios_add->dia->getPlaceHolder()) ?>" value="<?php echo $kp_horarios_add->dia->EditValue ?>"<?php echo $kp_horarios_add->dia->editAttributes() ?>>
</span>
<?php echo $kp_horarios_add->dia->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$kp_horarios_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $kp_horarios_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $kp_horarios_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$kp_horarios_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$kp_horarios_add->terminate();
?>